package com.shcd.mapper;

import com.shcd.entity.ShorePowerDeviceUsage;
import com.shcd.entity.SpStatementInlandLow;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shcd.vo.ShorePowerConnRecordInfoVo;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author 14390
 * @description 针对表【SP_STATEMENT_INLAND_LOW(内河低压分析表)】的数据库操作Mapper
 * @createDate 2024-01-22 14:57:44
 * @Entity com.shcd.entity.SpStatementInlandLow
 */
@Mapper
@Repository
public interface SpStatementInlandLowMapper extends BaseMapper<SpStatementInlandLow> {

  List<ShorePowerDeviceUsage> getOriginDataFromPage(Map<String, Object> params);

  List<ShorePowerDeviceUsage> getCurrentYearOriginDataFromPage();

  SpStatementInlandLow getLastMonthReportData(@Param("date") String date,
      @Param("type") Integer type);

  List<ShorePowerConnRecordInfoVo> selectDataFromShorePower(Map<String, Object> params);

  List<ShorePowerConnRecordInfoVo> selectCurrentYearDataFromShorePower();

  void deleteAllCurrentMonthReport1(@Param("reportDate") String reportDate);

  void deleteAllCurrentMonthReport2(@Param("reportDate") String reportDate);

  List<SpStatementInlandLow> getAllLastMonthReportData(@Param("date") String date,
      @Param("type") Integer type);

  List<ShorePowerConnRecordInfoVo> selectDataFromShorePowerV2(Map<String, Object> params);
}




